Bug 441638 - lstat(/tmp/huge_file): Value too large for defined data type
lstat(/tmp/huge_file): Value too large for defined data type
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: chkrootkit (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 05:13 EDT by Andre Robatino
Modified: 2008-05-10 09:53 EDT (History)
0 users

See Also:
Fixed In Version: 0.48-7.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 18:44:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2008-04-09 05:13:04 EDT
Description of problem:  When running chkrootkit on a 32-bit box with a file
bigger than 4 GB, the following two lines (file name changed) were part of the
output.  Please reassign if chkrootkit is the wrong component.  There's no
reason to think that the newest version of chkrootkit is responsible, I just ran
it after updating and the huge file just happened to be there, and probably
wasn't the last time.

lstat(/tmp/huge_file): Value too large for defined data type
chkdirs: nothing detected

Version-Release number of selected component (if applicable):
chkrootkit-0.48-6.fc8

How reproducible:
always

Steps to Reproduce:
1. Put a huge file (> 4 GB) in /tmp or wherever else chkrootkit is looking in.
2. Run chkrootkit.
 
Additional info:
Fully updated i386 box as of today.
Comment 1 Michael Schwendt 2008-04-09 07:33:35 EDT
Apparently, by default it is not built with support for
large files. I'm going to release test updates that are
built against the 64-bit files API.
http://koji.fedoraproject.org/koji/taskinfo?taskID=559230
Comment 2 Fedora Update System 2008-04-09 07:38:32 EDT
chkrootkit-0.48-7.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-04-09 07:39:18 EDT
chkrootkit-0.48-7.fc7 has been submitted as an update for Fedora 7
Comment 4 Fedora Update System 2008-04-16 23:53:55 EDT
chkrootkit-0.48-7.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update chkrootkit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-3130
Comment 5 Fedora Update System 2008-04-22 18:44:14 EDT
chkrootkit-0.48-7.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-05-10 09:53:57 EDT
chkrootkit-0.48-7.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.